package com.lukouguoji.module_base.ktx

import android.widget.Toast
import com.lukouguoji.module_base.MyApplication
import com.lukouguoji.module_base.util.HandlerUtils
import com.lukouguoji.module_base.util.ToastUtils

/**
 * @author：孟凡华
 * @date：2022/11/11
 * @desc：吐司扩展
 */

fun showToast(msg: String, isShort: Boolean = false) {
    HandlerUtils.postRunnable {
        if (isShort) {
            ToastUtils.showToast(MyApplication.context, msg, Toast.LENGTH_SHORT)
        } else {
            ToastUtils.showToast(MyApplication.context, msg, Toast.LENGTH_LONG)
        }
    }
}
